blender will not start

Asked by Eric R Drayer on 2008-12-06

blender worked fine in the hardy but it will not start in 8.1
I have multiple versions of blender and the latest updates for 8.1.
computer is
quad 2.6ghz 6600
ati 9000 128mg diablotek
I do not want to clutter with distracting info sorry if you need more.
<email address hidden>

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu blender Edit question
Assignee:
No assignee Edit question
Solved by:
Eric R Drayer
Solved:
2008-12-27
Last query:
2008-12-27
Last reply:
2008-12-08

Please run blender from terminal and report error here...
Open a terminal and type:

blender

Thank you

Eric R Drayer (ericdrayer) said : #2

eric@alien:~$ blender
Compiled with Python version 2.5.2.
Checking for installed Python... got it!
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 143 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12
eric@alien:~$

Eric R Drayer (ericdrayer) said : #3

eric@alien:~$ blender
Compiled with Python version 2.5.2.
Checking for installed Python... got it!
X Error of failed request: BadRequest (invalid request code or no such
operation)
  Major opcode of failed request: 143 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12
eric@alien:~$
should I try this from the blender directory
I will and send if different info

On Sat, Dec 6, 2008 at 6:08 PM, marcobra <
<email address hidden>> wrote:

> Your question #53701 on blender in ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/blender/+question/53701
>
> Status: Open => Needs information
>
> marcobra requested for more information:
> Please run blender from terminal and report error here...
> Open a terminal and type:
>
> blender
>
> Thank you
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/ubuntu/+source/blender/+question/53701
>
> You received this question notification because you are a direct
> subscriber of the question.
>

Florian Diesch (diesch) said : #4

Please open a Terminal ('Applications/Accesoirs/Terminal'), type
  which blender
  blender
and post everything they print.

Eric R Drayer (ericdrayer) said : #5

eric@alien:~$ which blender
/usr/bin/blender
eric@alien:~$

Eric R Drayer (ericdrayer) said : #6

eric@alien:~$ which blender
/usr/bin/blender
eric@alien:~$

On Sat, Dec 6, 2008 at 6:36 PM, Florian Diesch <
<email address hidden>> wrote:

> Your question #53701 on blender in ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/blender/+question/53701
>
> Status: Open => Needs information
>
> Florian Diesch requested for more information:
> Please open a Terminal ('Applications/Accesoirs/Terminal'), type
> which blender
> blender
> and post everything they print.
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/ubuntu/+source/blender/+question/53701
>
> You received this question notification because you are a direct
> subscriber of the question.
>

Eric R Drayer (ericdrayer) said : #7

eric@alien:~$ blender
Compiled with Python version 2.5.2.
Checking for installed Python... got it!
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 143 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12
eric@alien:~$
eric@alien:~$ which blender
/usr/bin/blender
eric@alien:~$ blender
Compiled with Python version 2.5.2.
Checking for installed Python... got it!
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 143 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12
eric@alien:~$

Can you copy and paste the result of terminal command:

lspci

here. Thank you

if you have ATI video card and you have free video driver for ATI radeonhd
they doesn't use hardware acceleration you might need to keep installed or install the mesa library.

HTH

Eric R Drayer (ericdrayer) said : #9

eric@alien:~$ lspci
00:00.0 Host bridge: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 82G33/G31/P35/P31 Express PCI Express Root Port (rev 02)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 (rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
03:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8056 PCI-E Gigabit Ethernet Controller (rev 13)
04:03.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 01)
eric@alien:~$

I have an ATI radon 9000 no HD

Eric R Drayer (ericdrayer) said : #10

eric@alien:~$ lspci
00:00.0 Host bridge: Intel Corporation 82G33/G31/P35/P31 Express DRAM
Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 82G33/G31/P35/P31 Express PCI Express
Root Port (rev 02)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port
1 (rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port
3 (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface
Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA
IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev
01)
03:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8056 PCI-E
Gigabit Ethernet Controller (rev 13)
04:03.0 VGA compatible controller: ATI Technologies Inc Radeon RV250
[Mobility FireGL 9000] (rev 01)
eric@alien:~$

ATI radon 9000 no HD
I have mesa libs though I do not know how to check if they are
working...version etc I will try looking up how to do that if you think it
would help.

On Sat, Dec 6, 2008 at 7:12 PM, marcobra <
<email address hidden>> wrote:

> Your question #53701 on blender in ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/blender/+question/53701
>
> Status: Open => Needs information
>
> marcobra requested for more information:
> Can you copy and paste the result of terminal command:
>
> lspci
>
> here. Thank you
>
> if you have ATI video card and you have free video driver for ATI radeonhd
> they doesn't use hardware acceleration you might need to keep installed or
> install the mesa library.
>
> HTH
>
> --
> To answer this request for more information, you can either reply to
> this email or enter your reply at the following page:
> https://answers.launchpad.net/ubuntu/+source/blender/+question/53701
>
> You received this question notification because you are a direct
> subscriber of the question.
>

Florian Diesch (diesch) said : #11

Could you please post the output of
 glxinfo

Eric R Drayer (ericdrayer) said : #12

eric@alien:~$ glxinfo
name of display: :0.0
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 143 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 10
  Current serial number in output stream: 10
eric@alien:~$

Eric R Drayer (ericdrayer) said : #13

I just ran the hardware testing program offered by Ububtu and the video test screen did not appear.
I have forwarded the report.
for all the attention and work that the ubuntu comunity has done i am deeply grateful.

Eric R Drayer (ericdrayer) said : #14

I am wondering if I should look into ENVY or jockey?
is this a problem with my card or driver?

Eric R Drayer (ericdrayer) said : #15

The lspci command seems to have miss identified the card. Though I can't be sure, the cards documentation was a bit generic...The only model name was on the outer package itself.no reference to firegl or mobility.I have a full atx tower.

Eric R Drayer (ericdrayer) said : #16

I had installed the ATI proprietary driver from add/remove programs.
jockey does not show any drivers.
I had installed the fgrlx control center but I do not know how to use it.
I have tried to run check.sh from the ATI web site but am unable to run it.
I looked up how to do this on launchpad but was unable to run it even after chmod +x (for the file), using sudo and finaly loging in as root.
the message was that I was not using the console....I think I was.
I assume that having installed the ATI proprietary driver that it is working.
I am getting a message from update manager that I can only do a partial upgrade.
when I try to upgrade ( partially) it fails and recommends that this is a temporary problem and to try again.
no one has responded to this in a few days I wounder if I should pursue a new line of questioning.
should I get a new video card.
this problem has occurred in other versions of ubuntu earlier that hardy for me, though blender worked fine in hardy.

Eric R Drayer (ericdrayer) said : #17

I got rid of all the ati proprietary stuff which I assume never actually installed.
I ran aticonfig with the suggested option and got segfault...before I got rid of the stuff.

I now realize that I did not have enough information to attempt to use the ati drivers not supported by UBUNTU.

Blender is working and the Game textures look fine though it crashes when I try GLSL.

I am considering this yet another cautionary tale for ati.

I am not going to try and use the ati proprietary drivers.

I consider this problem solved for me personally yet I do not claim to have solved it.